<?
Error_Reporting(0);
include_once("inclydings/sesi.php");
include_once("inclydings/ini.php");
include_once("inclydings/antixak.php");

/////////////////////////////////////////////////////
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}

////////////////////////////////////////////////////////
$privs = @file("L2dbnam/esql2db/msg/$log.msg");
$totals = count($privs);
if($totals==""){ $totals="0"; }
////////////////////////////////////////////////////////
header('Cache-Control: no-cache, must-revalidate');
header('Pragma: no-cache');
header('Content-type: text/html; charset=UTF-8');
echo '<?xml version="1.0" encoding="utf-8"?>' . "\n";
echo "\n" . '<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">';
echo "\n" . '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru">';
echo "\n" . '<head><meta http-equiv="content-type" content="application/xhtml+xml; charset=utf-8"/>';
echo "\n" . '<title>' . $textl . '</title>';
echo "\n" . '<script src="images/sneg.js"></script><link rel="stylesheet" href="images/style.css" type="text/css" />';
echo "\n" . '</head><body>';
echo'<div class="gameBorder">';
echo'<div class="menu">';
////////////////////////////////////////////////////////
if (isset($user)) {
list($msec,$sec)=explode(chr(32),microtime());
$gtime=$sec+$msec;
////////////////////////////////////////////////////////
$keys=mysql_query("SELECT * FROM `table_key` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($keys)==1){
echo"Ваш акаунт не активирован. Для активации перейдите на эмейл указанный при регистрации"; include 'inclydings/nogi'; exit;}
////////////////////// BLOCK ///////////////////////////////
$banfi = @file("L2dbnam/esql2db/blocked/$log.dat"); 
$bandat = explode("||",$banfi[0]);
$akto=$bandat[0];
$azasho=$bandat[3];
$akada=$bandat[1];
if ($banfi!==false) {
echo "<b>Ваш персонаж заблокирован!!!</b><br />";
echo'Причина блока: '.$azasho.'<br />Заблокировал: '.$akto.'<br />Дата: '.$akada.'<br/><br />';
echo'Играть этим персонажем запрещено, т.к. нарушены<br/>
правила онлайн игры WAP-WORLDS.RU<br/><br />';
echo" <a href=\"blockpers.php?$sd\">Разблокировка персонажа</a><br/>";
echo" <a href=\"index.php?$sd\">Выход</a><br/>";include 'inclydings/nogi.php'; exit;}
include("inclydings/opit.php");
include("inclydings/lvl.php");
include("inclydings/regeneration.php");
include_once("inclydings/winolimpiads.php");
include_once("inclydings/winolimpiads2.php");
include_once("inclydings/bishop.php");
$time=date("H:i");
if($time>="23:59"){
$newlog="0:||:";
$fp=fopen("L2dbnam/esql2db/newlog.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$newlog\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}
if($udata[34]=="0"){
echo "<div class='foot'>";

echo"</a><b>$log</b></a> (Уровень: $udata[9],Аден: $udata[8], <font color=yellow>Coin of Luck</font>: $udata[14])<br/></div>";
echo "<div class='hp'>";
echo"HP: $udata[16]/$udata[17]<br/></div>";
echo "<div class='mp'>";
echo"MP: $udata[29]/$udata[30]<br/></div>";
echo "<div class='exp'>";
echo"EXP: $exp %<br/></div>";
$data=date("d F, Y");
$data = str_replace("January","января",$data);
$data = str_replace("February","февраля",$data);
$data = str_replace("March","марта",$data);
$data = str_replace("April","апреля",$data);
$data = str_replace("May","мая",$data);
$data = str_replace("June","июня",$data);
$data = str_replace("July","июля",$data);
$data = str_replace("August","августа",$data);
$data = str_replace("September","сентября",$data);
$data = str_replace("October","октября",$data);
$data = str_replace("November","ноября",$data);
$data = str_replace("December","декабря",$data);
$time=date("H:i");
}else{
$data=date("d F, Y");
$data = str_replace("January","января",$data);
$data = str_replace("February","февраля",$data);
$data = str_replace("March","марта",$data);
$data = str_replace("April","апреля",$data);
$data = str_replace("May","мая",$data);
$data = str_replace("June","июня",$data);
$data = str_replace("July","июля",$data);
$data = str_replace("August","августа",$data);
$data = str_replace("September","сентября",$data);
$data = str_replace("October","октября",$data);
$data = str_replace("November","ноября",$data);
$data = str_replace("December","декабря",$data);
$time=date("H:i:s");
echo'<a href="search.php?'.$sd.'&go=go&nick='.$log.'">'.$log.'</a> ['.$udata[9].']<br/>
<font color="#FF0000">HP: '.number_format($udata[16]).'/'.number_format($udata[17]).'</font><br/>
<font color="#6495ED">MP: '.number_format($udata[29]).'/'.number_format($udata[30]).'</font><br/>
EXP: '.$exp.' %<br/>
Время: '.$time.'<br/>
Дата: '.$data.'<br/>';
echo"<hr>";}
}
$keys=mysql_query("SELECT * FROM `table_key` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($keys)==1){
echo"Ваш акаунт не активирован. Для активации перейдите на эмейл указанный при регистрации"; include 'inclydings /nogi'; exit;}
$block=mysql_query("SELECT * FROM `table_block` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($block)==1){
$user = mysql_fetch_array($block);
$pr = $user['pricina'];
echo"Вы заблокированы причина: ".$pr.""; include 'inclydings/nogi.php'; exit;}
?>
